Modifier la configuration et la version de PHP

De PHPNET - Wiki
Aller à : navigation, rechercher

Hébergements Mutualisés Eco / Mutu Start / Mutu Boost / Mutu Max

Changer la version de PHP

  1. Se connecter à l'espace client PHPNET
  2. Cliquez dans le menu de gauche sur "Hébergements mutualisés" puis sélectionnez l'hébergement concerné
  3. Dans le tableau des domaines hébergés, repérer le domaine pour lequel vous souhaitez éditer la configuration ou la version de PHP, puis cliquer sur le bouton php :
    Config php.png
  4. Choisir la version de PHP (1)
  5. Validez en cliquant sur le bouton "Ok" (2)
    Version php mutu.png

Vous pouvez définir une version de PHP, entre 5.2 et 7.2, sur les sites hébergés sur les hébergements Mutu et Premium (Évolution et dédiés), depuis l'espace client PHPNET.

Modifier la configuration de PHP

  1. Se connecter à l'espace client PHPNET
  2. Cliquez dans le menu de gauche sur "Hébergements mutualisés" puis sélectionnez l'hébergement concerné
  3. Dans le tableau des domaines hébergés, repérer le domaine pour lequel vous souhaitez éditer la configuration ou la version de PHP, puis cliquer sur le bouton php :
    Config php.png
  4. Cherchez le paramètre à modifier puis choisissez la valeur désirée dans la colonne "Actions" (1)
  5. Validez en cliquant sur le bouton "Modifier les paramètres" (2)
    Config php2.png

Hébergements Premium Évolution / Premium Dédiés

Changer la version de PHP

pour un site avec nom de domaine
  1. Se connecter à l'espace client PHPNET
  2. Choisissez votre hébergement dans le Menu
  3. Dans le tableau des noms de domaine hébergés, dans la colonne "Administration", cliquez sur le bouton en forme d'engrenage "Modifier les paramètres" :
    Version php.png
  4. Sélectionnez la version de PHP désirée dans la liste "Choix de la version de PHP" :
    Version php2.png
  5. Cliquez ensuite le bouton bleu "Modifier le domaine" :
    Version php3.png
Tips.png La version de PHP sera changée sous 5 minutes.
pour un site sans nom de domaine
  1. Se connecter à l'espace client PHPNET
  2. Choisissez votre hébergement dans le Menu
  3. Dans le tableau des noms de domaine hébergés, dans la colonne "Administration" de la première ligne, sélectionnez la version de PHP dans la liste déroulante
    Version php4.png
  4. Cliquer sur le bouton Ok sur le bouton en forme d'engrenage "Modifier les paramètres" :
    Version php5.png
Tips.png La version de PHP sera changée sous 5 minutes.
pour la ligne de commande

Les hébergements Premiums (Évolution et dédiés), la commande php lancera php-cli 5.4.
Pour exécuter des scripts avec d'autres versions, des commandes ont été ajoutées.
Par exemple pour exécuter un script avec PHP 5.6, vous pouvez utiliser la commande : php56 /chemin/script.php, ou si le script doit être exécuté avec PHP 7.0 : php7 /chemin/script.php

Il est aussi possible de modifier la version exécutée par défaut avec la commande php (utile pour certains CMS ou certaines applications).
Pour se faire, vous devez ouvrir un ticket de support, et nous indiquer quelle version de PHP vous souhaitez utiliser via cette commande.

Modifier la configuration de PHP

Vous pouvez éditer la configuration de PHP directement dans le fichier php.ini dans le répertoire /CONFIG/phpXY de l'hébergement Premium, où XY correspond à la version de PHP.
Ces changements seront pris en compte instantanément.
Attention : Il y un fichier php.ini différent par version de PHP.

Connaître la version de PHP

Vous pouvez connaître la version de PHP qui est utilisée par un de vos domaines sur votre hébergement en utilisant un fichier .php :

  1. Créez un fichier PHP (ex : info.php ) contenant la ligne :
    <?php phpinfo(); ?>
  2. Envoyez ce fichier dans le répertoire vers lequel pointe le domaine pour lequel vous voulez connaître la version de PHP (ex : "/www/monsite")
  3. Accédez à ce fichier en ligne via le nom de domaine : http://mondomaine.com/info.php